#---------------------------------------------------------------------
#     Copyright (C) GFD Dennou Club, 2005. All rights reserved.
#---------------------------------------------------------------------
#= Dependency information
#
#   * Developers: Yasuhiro MORIKAWA
#   * Version: $Id: Depend.mk,v 1.1 2005/06/17 15:08:39 morikawa Exp $
#   * Tag Name: $Name: dcpam2-20050620 $
#   * Change History: 
#
#== Overview
#
# This file is described dependency information under "shared" directory
#
# [JAPANESE]
# ġˤ, shared ǥ쥯ȥʲγƥե֤ΰ¸ط򵭤
# .
#
#== Future Plans
#
# This file should be created by script f90depend.pl or .rb automatically
#
# [JAPANESE]
# Υե f90depend.pl ޤ .rb 鼫ư褦
# ʤäƤ٤Ǥ.
#
######################################################################

all:

nmlfile.o: ../type/type.o
constants.o: ../type/type.o ../nmlfile/nmlfile.o
time.o: ../type/type.o ../nmlfile/nmlfile.o
grid_3d.o: ../type/type.o ../nmlfile/nmlfile.o
grid_wavenumber.o: ../type/type.o ../nmlfile/nmlfile.o
spml.o: ../type/type.o ../nmlfile/nmlfile.o ../grid/grid_3d.o ../grid/grid_wavenumber.o
axis_type.o: ../type/type.o
axis_x.o: axis_type.o ../type/type.o ../nmlfile/nmlfile.o ../constants/constants.o ../grid/grid_3d.o ../grid/grid_wavenumber.o ../spml/spml.o
axis_y.o: axis_type.o ../type/type.o ../nmlfile/nmlfile.o ../constants/constants.o ../grid/grid_3d.o ../grid/grid_wavenumber.o ../spml/spml.o
axis_z.o: axis_type.o ../type/type.o ../nmlfile/nmlfile.o ../constants/constants.o ../grid/grid_3d.o ../grid/grid_wavenumber.o ../spml/spml.o
varinfo.o: ../type/type.o ../nmlfile/nmlfile.o
io_gt4_out.o: ../type/type.o ../nmlfile/nmlfile.o ../time/time.o ../axis/axis_type.o ../varinfo/varinfo.o
dynamics.o: ../type/type.o ../nmlfile/nmlfile.o ../constants/constants.o ../time/time.o ../grid/grid_3d.o ../grid/grid_wavenumber.o ../spml/spml.o ../axis/axis_type.o ../axis/axis_x.o ../axis/axis_y.o ../axis/axis_z.o ../spml/spml.o ../varinfo/varinfo.o ../io/io_gt4_out.o 
hs94forcing.o: ../type/type.o ../nmlfile/nmlfile.o ../constants/constants.o ../time/time.o ../grid/grid_3d.o ../grid/grid_wavenumber.o ../spml/spml.o  ../axis/axis_type.o ../axis/axis_x.o ../axis/axis_y.o ../axis/axis_z.o ../varinfo/varinfo.o ../io/io_gt4_out.o 
